Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Configuration
Created: 2010-12-20 Assigned To: Karsten Dambekalns
Updated: 2010-12-21 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Configuration manager throws exception in production context
Description

Associated revisions
Revision eb4bade0 - 2010-12-20 16:52 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Configuration): Check array index

In loadConfiguration() sometimes no settings would exist in
$this->configuration yet, leading to a warning and a followup fatal
error when calling arrayMergeRecursiveOverrule().

Change-Id: Ifb06767bab2ab3a970438e23ba1a51c1fb9ad8bb
Fixes: #11594

History
#1 - 2010-12-20 13:59 - Karsten Dambekalns

The funny thing is, that this is either fully reproducible, or not at all. Whatever... :)

#2 - 2010-12-20 16:03 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#3 - 2010-12-21 10:30 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"eb4bade04699cde03c6225d41e990a02cca70d8b".

2015-08-03 1/1


